Index: trunk/NEMO/OPA_SRC/DOM/closea.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DOM/closea.F90	(revision 873)
+++ trunk/NEMO/OPA_SRC/DOM/closea.F90	(revision 888)
@@ -2,17 +2,22 @@
    !!======================================================================
    !!                       ***  MODULE  closea  ***
-   !! Closed Seas  : 
+   !! Closed Seas  : specific treatments associated with closed seas
    !!======================================================================
+   !! History :   8.2  !  00-05  (O. Marti)  Original code
+   !!             8.5  !  02-06  (E. Durand, G. Madec)  F90
+   !!             9.0  !  06-07  (G. Madec)  add clo_rnf, clo_ups, clo_bat
+   !!----------------------------------------------------------------------
 
    !!----------------------------------------------------------------------
    !!   dom_clo    : modification of the ocean domain for closed seas cases
-   !!   flx_clo    : Special handling of closed seas
-   !!----------------------------------------------------------------------
-   !! * Modules used
+   !!   sbc_clo    : Special handling of closed seas
+   !!   clo_rnf    : set close sea outflows as river mouths (see sbcrnf)
+   !!   clo_ups    : set mixed centered/upstream scheme in closed sea (see traadv_cen2)
+   !!   clo_bat    : set to zero a field over closed sea (see domzrg)
+   !!----------------------------------------------------------------------
    USE oce             ! dynamics and tracers
    USE dom_oce         ! ocean space and time domain
    USE in_out_manager  ! I/O manager
-   USE ocesbc          ! ocean surface boundary conditions (fluxes)
-   USE flxrnf          ! runoffs
+   USE sbc_oce         ! ocean surface boundary conditions
    USE lib_mpp         ! distributed memory computing library
    USE lbclnk          ! ???
@@ -21,32 +26,29 @@
    PRIVATE
 
-   !! * Accessibility
-   PUBLIC dom_clo      ! routine called by dom_init
-   PUBLIC flx_clo      ! routine called by step
-
-   !! * Share module variables
-   INTEGER, PUBLIC, PARAMETER ::   &  !:
-      jpncs   = 4               !: number of closed sea
-   INTEGER, PUBLIC ::          & !!: namclo : closed seas and lakes
-      nclosea =  0                !: = 0 no closed sea or lake
-      !                           !  = 1 closed sea or lake in the domain
-   INTEGER, PUBLIC, DIMENSION (jpncs) ::   &  !:
-      ncstt,           &  !: Type of closed sea
-      ncsi1, ncsj1,    &  !: closed sea limits                                                                 
-      ncsi2, ncsj2,    &  !: 
-      ncsnr               !: number of point where run-off pours
-   INTEGER, PUBLIC, DIMENSION (jpncs,4) ::   &
-      ncsir, ncsjr        !: Location of run-off
-
-   !! * Module variable
-   REAL(wp), DIMENSION (jpncs+1) ::   &
-      surf               ! closed sea surface
+   PUBLIC dom_clo      ! routine called by domain module
+   PUBLIC sbc_clo      ! routine called by step module
+   PUBLIC clo_rnf      ! routine called by sbcrnf module
+   PUBLIC clo_ups      ! routine called in traadv_cen2(_jki) module
+   PUBLIC clo_bat      ! routine called in domzgr module
+
+   !!* Namelist namclo : closed seas and lakes
+   INTEGER, PUBLIC                     ::   nclosea =  0     !: = 0 no closed sea or lake
+      !                                                      !  = 1 closed sea or lake in the domain
+      
+   INTEGER, PUBLIC, PARAMETER          ::   jpncs   = 4      !: number of closed sea
+   INTEGER, PUBLIC, DIMENSION(jpncs)   ::   ncstt            !: Type of closed sea
+   INTEGER, PUBLIC, DIMENSION(jpncs)   ::   ncsi1, ncsj1     !: south-west closed sea limits (i,j)
+   INTEGER, PUBLIC, DIMENSION(jpncs)   ::   ncsi2, ncsj2     !: north-east closed sea limits (i,j)
+   INTEGER, PUBLIC, DIMENSION(jpncs)   ::   ncsnr            !: number of point where run-off pours
+   INTEGER, PUBLIC, DIMENSION(jpncs,4) ::   ncsir, ncsjr     !: Location of runoff
+
+   REAL(wp), DIMENSION (jpncs+1)       ::   surf             ! closed sea surface
 
    !! * Substitutions
 #  include "vectopt_loop_substitute.h90"
    !!----------------------------------------------------------------------
-   !!  OPA 9.0 , LOCEAN-IPSL (2005) 
-   !! $Header$ 
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+   !!  OPA 9.0 , LOCEAN-IPSL (2006) 
+   !! $Id$
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
 
@@ -60,19 +62,14 @@
       !!
       !! ** Method  :   if a closed sea is located only in a model grid point
-      !!      just the thermodynamic processes are applied.
-      !!
-      !! ** Action :   ncsi1(), ncsj1() : south-west closed sea limits (i,j)
-      !!               ncsi2(), ncsj2() : north-east Closed sea limits (i,j)
-      !!               ncsir(), ncsjr() : Location of runoff
-      !!               ncsnr            : number of point where run-off pours
-      !!               ncstt            : Type of closed sea
-      !!                                  =0 spread over the world ocean
-      !!                                  =2 put at location runoff
-      !!
-      !! History :
-      !!        !  01-04  (E. Durand)  Original code
-      !!   8.5  !  02-06  (G. Madec)  F90: Free form and module
-      !!----------------------------------------------------------------------
-      !! * Local variables
+      !!                just the thermodynamic processes are applied.
+      !!
+      !! ** Action  :   ncsi1(), ncsj1() : south-west closed sea limits (i,j)
+      !!                ncsi2(), ncsj2() : north-east Closed sea limits (i,j)
+      !!                ncsir(), ncsjr() : Location of runoff
+      !!                ncsnr            : number of point where run-off pours
+      !!                ncstt            : Type of closed sea
+      !!                                   =0 spread over the world ocean
+      !!                                   =2 put at location runoff
+      !!----------------------------------------------------------------------
       INTEGER ::   jc            ! dummy loop indices
       !!----------------------------------------------------------------------
@@ -90,10 +87,9 @@
 
       IF( cp_cfg == "orca" ) THEN
-   
+         !
          SELECT CASE ( jp_cfg )
          !                                           ! =======================
          CASE ( 2 )                                  !  ORCA_R2 configuration
             !                                        ! =======================
-
             !                                            ! Caspian Sea
             ncsnr(1)   =   1  ;  ncstt(1)   =   0           ! spread over the globe
@@ -116,9 +112,7 @@
             ncsi2(4)   =   6  ;  ncsj2(4)   = 112
             ncsir(4,1) = 171  ;  ncsjr(4,1) = 106 
-
             !                                        ! =======================
          CASE ( 4 )                                  !  ORCA_R4 configuration
             !                                        ! =======================
-
             !                                            ! Caspian Sea
             ncsnr(1)   =  1  ;  ncstt(1)   =  0  
@@ -144,5 +138,4 @@
             ncsi2(4)   = 76  ;  ncsj2(4)   = 61
             ncsir(4,1) = 84  ;  ncsjr(4,1) = 59 
-
             !                                        ! =======================
          CASE ( 025 )                                ! ORCA_R025 configuration
@@ -157,7 +150,7 @@
             ncsi2(2)   = 1304 ; ncsj2(2)   = 747
             ncsir(2,1) = 1    ; ncsjr(2,1) = 1
-
+            !
          END SELECT
-
+         !
       ENDIF
 
@@ -171,12 +164,11 @@
          ncsj2(jc)   = mj1( ncsj2(jc) )  
       END DO
-         
-
+      !
    END SUBROUTINE dom_clo
 
 
-   SUBROUTINE flx_clo( kt )
-      !!---------------------------------------------------------------------
-      !!                  ***  ROUTINE flx_clo  ***
+   SUBROUTINE sbc_clo( kt )
+      !!---------------------------------------------------------------------
+      !!                  ***  ROUTINE sbc_clo  ***
       !!                    
       !! ** Purpose :   Special handling of closed seas
@@ -186,25 +178,18 @@
       !!      put as run-off in open ocean.
       !!
-      !! ** Action :
-      !!
-      !! History :
-      !!   8.2  !  00-05  (O. Marti)  Original code
-      !!   8.5  !  02-07  (G. Madec)  Free form, F90
-      !!----------------------------------------------------------------------
-      !! * Arguments
-      INTEGER, INTENT (in) :: kt
-
-      !! * Local declarations
-      REAL(wp), DIMENSION (jpncs) :: zemp
-      INTEGER  :: ji, jj, jc, jn
-      REAL(wp) :: zze2
-      !!----------------------------------------------------------------------
-
-      ! 1 - Initialisation
-      ! ------------------
-
-      IF( kt == nit000 ) THEN 
+      !! ** Action  :   emp, emps   updated surface freshwater fluxes at kt
+      !!----------------------------------------------------------------------
+      INTEGER, INTENT(in) ::   kt   ! ocean model time step
+      !
+      INTEGER                     ::   ji, jj, jc, jn   ! dummy loop indices
+      REAL(wp)                    ::   zze2
+      REAL(wp), DIMENSION (jpncs) ::   zemp
+      !!----------------------------------------------------------------------
+      !
+      !                                                   !------------------!
+      IF( kt == nit000 ) THEN                             !  Initialisation  !
+         !                                                !------------------!
          IF(lwp) WRITE(numout,*)
-         IF(lwp) WRITE(numout,*)'flx_clo : closed seas '
+         IF(lwp) WRITE(numout,*)'sbc_clo : closed seas '
          IF(lwp) WRITE(numout,*)'~~~~~~~'
 
@@ -216,18 +201,7 @@
             DO jj = ncsj1(jc), ncsj2(jc)
                DO ji = ncsi1(jc), ncsi2(jc)
-                  ! surface of closed seas
-                  surf(jc) = surf(jc) + e1t(ji,jj)*e2t(ji,jj)*tmask_i(ji,jj)
-                  ! upstream in closed seas
-                  upsadv(ji,jj) = 0.5
+                  surf(jc) = surf(jc) + e1t(ji,jj) * e2t(ji,jj) * tmask_i(ji,jj)      ! surface of closed seas
                END DO 
             END DO 
-            ! upstream at closed sea outflow
-            IF( ncstt(jc) >= 1 ) THEN 
-                DO jn = 1, 4
-                  ji = mi0( ncsir(jc,jn) )
-                  jj = mj0( ncsjr(jc,jn) )
-                  upsrnfh(ji,jj) = MAX( upsrnfh(ji,jj), 1.0 )
-                END DO 
-            ENDIF 
          END DO 
          IF( lk_mpp )   CALL mpp_sum ( surf, jpncs+1 )       ! mpp: sum over all the global domain
@@ -235,6 +209,5 @@
          IF(lwp) WRITE(numout,*)'     Closed sea surfaces'
          DO jc = 1, jpncs
-            IF(lwp) WRITE(numout,FMT='(1I3,4I4,5X,F16.2)')    &
-                jc, ncsi1(jc), ncsi2(jc), ncsj1(jc), ncsj2(jc), surf(jc)
+            IF(lwp)WRITE(numout,FMT='(1I3,4I4,5X,F16.2)') jc, ncsi1(jc), ncsi2(jc), ncsj1(jc), ncsj2(jc), surf(jc)
          END DO
 
@@ -243,11 +216,9 @@
             surf(jpncs+1) = surf(jpncs+1) - surf(jc)
          END DO           
- 
+         !
       ENDIF
-
-      ! 2 - Computation
-      ! ---------------
-      zemp = 0.e0
-
+      !                                                   !--------------------!
+      !                                                   !  update emp, emps  !
+      zemp = 0.e0                                         !--------------------!
       DO jc = 1, jpncs
          DO jj = ncsj1(jc), ncsj2(jc)
@@ -257,5 +228,5 @@
          END DO 
       END DO
-      IF( lk_mpp )   CALL mpp_sum ( zemp , jpncs )       ! mpp: sum over all the global domain
+      IF( lk_mpp )   CALL mpp_sum ( zemp(:) , jpncs )       ! mpp: sum over all the global domain
 
       IF( cp_cfg == "orca" .AND. jp_cfg == 2 ) THEN      ! Black Sea case for ORCA_R2 configuration
@@ -266,5 +237,5 @@
 
       DO jc = 1, jpncs
-
+         !
          IF( ncstt(jc) == 0 ) THEN 
             ! water/evap excess is shared by all open ocean
@@ -303,5 +274,5 @@
             ENDIF 
          ENDIF 
-
+         !
          DO jj = ncsj1(jc), ncsj2(jc)
             DO ji = ncsi1(jc), ncsi2(jc)
@@ -310,14 +281,99 @@
             END DO  
          END DO 
-
+         !
       END DO 
-
-
-      ! 5. Boundary condition on emp and emps
-      ! -------------------------------------
+      !
       CALL lbc_lnk( emp , 'T', 1. )
       CALL lbc_lnk( emps, 'T', 1. )
-
-   END SUBROUTINE flx_clo
+      !
+   END SUBROUTINE sbc_clo
+   
+   
+   SUBROUTINE clo_rnf( p_rnfmsk )
+      !!---------------------------------------------------------------------
+      !!                  ***  ROUTINE sbc_rnf  ***
+      !!                    
+      !! ** Purpose :   allow the treatment of closed sea outflow grid-points
+      !!                to be the same as river mouth grid-points
+      !!
+      !! ** Method  :   set to 1 the runoff mask (mskrnf, see sbcrnf module)
+      !!                at the closed sea outflow grid-point.
+      !!
+      !! ** Action  :   update (p_)mskrnf (set 1 at closed sea outflow)
+      !!----------------------------------------------------------------------
+      REAL(wp), DIMENSION(jpi,jpj), INTENT(inout) ::   p_rnfmsk   ! river runoff mask (rnfmsk array)
+      !
+      INTEGER  ::   jc, jn      ! dummy loop indices
+      INTEGER  ::   ii, ij      ! temporary integer
+      !!----------------------------------------------------------------------
+      !
+      DO jc = 1, jpncs
+         IF( ncstt(jc) >= 1 ) THEN            ! runoff mask set to 1 at closed sea outflows
+             DO jn = 1, 4
+               ii = mi0( ncsir(jc,jn) )
+               ij = mj0( ncsjr(jc,jn) )
+               p_rnfmsk(ii,ij) = MAX( p_rnfmsk(ii,ij), 1.0 )
+            END DO 
+         ENDIF 
+      END DO 
+      !
+   END SUBROUTINE clo_rnf
+
+   
+   SUBROUTINE clo_ups( p_upsmsk )
+      !!---------------------------------------------------------------------
+      !!                  ***  ROUTINE sbc_rnf  ***
+      !!                    
+      !! ** Purpose :   allow the treatment of closed sea outflow grid-points
+      !!                to be the same as river mouth grid-points
+      !!
+      !! ** Method  :   set to 0.5 the upstream mask (upsmsk, see traadv_cen2 
+      !!                module) over the closed seas.
+      !!
+      !! ** Action  :   update (p_)upsmsk (set 0.5 over closed seas)
+      !!----------------------------------------------------------------------
+      REAL(wp), DIMENSION(jpi,jpj), INTENT(inout) ::   p_upsmsk   ! upstream mask (upsmsk array)
+      !
+      INTEGER  ::   jc, ji, jj      ! dummy loop indices
+      !!----------------------------------------------------------------------
+      !
+      DO jc = 1, jpncs
+         DO jj = ncsj1(jc), ncsj2(jc)
+            DO ji = ncsi1(jc), ncsi2(jc)
+               p_upsmsk(ji,jj) = 0.5            ! mixed upstream/centered scheme over closed seas
+            END DO 
+         END DO 
+       END DO 
+       !
+   END SUBROUTINE clo_ups
+   
+      
+   SUBROUTINE clo_bat( pbat, kbat )
+      !!---------------------------------------------------------------------
+      !!                  ***  ROUTINE clo_bat  ***
+      !!                    
+      !! ** Purpose :   suppress closed sea from the domain
+      !!
+      !! ** Method  :   set to 0 the meter and level bathymetry (given in 
+      !!                arguments) over the closed seas.
+      !!
+      !! ** Action  :   set pbat=0 and kbat=0 over closed seas
+      !!----------------------------------------------------------------------
+      REAL(wp), DIMENSION(jpi,jpj), INTENT(inout) ::   pbat   ! bathymetry in meters (bathy array)
+      INTEGER , DIMENSION(jpi,jpj), INTENT(inout) ::   kbat   ! bathymetry in levels (mbathy array)
+      !
+      INTEGER  ::   jc, ji, jj      ! dummy loop indices
+      !!----------------------------------------------------------------------
+      !
+      DO jc = 1, jpncs
+         DO jj = ncsj1(jc), ncsj2(jc)
+            DO ji = ncsi1(jc), ncsi2(jc)
+               pbat(ji,jj) = 0.e0   
+               kbat(ji,jj) = 0   
+            END DO 
+         END DO 
+       END DO 
+       !
+   END SUBROUTINE clo_bat
 
    !!======================================================================
Index: trunk/NEMO/OPA_SRC/DOM/domain.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DOM/domain.F90	(revision 873)
+++ trunk/NEMO/OPA_SRC/DOM/domain.F90	(revision 888)
@@ -13,10 +13,9 @@
    USE oce             ! 
    USE dom_oce         ! ocean space and time domain
+   USE ice_oce         ! ice variables
+   USE sbc_oce         ! surface boundary condition: ocean
    USE phycst          ! physical constants
+   USE daymod          ! calendar
    USE in_out_manager  ! I/O manager
-   USE ice_oce         ! ice variables
-   USE blk_oce         ! bulk variables
-   USE flxrnf          ! runoffs
-   USE daymod          ! calendar
    USE lib_mpp         ! distributed memory computing library
 
@@ -39,5 +38,5 @@
    !!----------------------------------------------------------------------
    !!   OPA 9.0 , LOCEAN-IPSL (2005) 
-   !! $Header$ 
+   !! $Id$
    !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
@@ -144,9 +143,9 @@
       NAMELIST/namrun/ no    , cexper   , ln_rstart , nrstdt , nit000,         &
          &             nitend, ndate0   , nleapy   , ninist , nstock,          &
-         &             nwrite, nrunoff  , ln_dimgnnn
+         &             nwrite, ln_dimgnnn
 
       NAMELIST/namdom/ ntopo , e3zps_min, e3zps_rat, ngrid  , nmsh  ,   &
          &             nacc  , atfp     , rdt      , rdtmin , rdtmax,   &
-         &             rdth  , rdtbt    , nfice    , nfbulk , nclosea
+         &             rdth  , rdtbt    , nclosea
       NAMELIST/namcla/ n_cla
       !!----------------------------------------------------------------------
@@ -175,5 +174,4 @@
          WRITE(numout,*) '           frequency of restart file       nstock    = ', nstock
          WRITE(numout,*) '           frequency of output file        nwrite    = ', nwrite
-         WRITE(numout,*) '           runoff option                   nrunoff   = ', nrunoff
          WRITE(numout,*) '           multi file dimgout           ln_dimgnnn   = ', ln_dimgnnn
       ENDIF
@@ -257,20 +255,4 @@
       ENDIF
 
-      IF( lk_lim3 .OR. lk_lim2 ) THEN
-         IF(lwp) WRITE(numout,*) '           ice model coupling frequency      nfice  = ', nfice
-         IF( MOD( nitend - nit000 + 1, nfice) /= 0 ) THEN 
-            WRITE(ctmp1,*) 'experiment length (', nitend - nit000 + 1, ') is NOT a multiple of nfice (', nfice, ')'
-            CALL ctl_stop( ctmp1, 'Impossible to do proper restart files' )
-         ENDIF
-         IF( MOD( nstock             , nfice) /= 0 ) THEN 
-            WRITE(ctmp1,*) 'nstock ('           , nstock             , ') is NOT a multiple of nfice (', nfice, ')'
-            CALL ctl_stop( ctmp1, 'Impossible to do proper restart files' )
-         ENDIF
-         nfbulk = nfice
-         IF( MOD( rday, nfice*rdt ) /= 0 )   CALL ctl_warn( 'nfice is NOT a multiple of the number of time steps in a day' )
-         IF(lwp) WRITE(numout,*) '           bulk computation frequency       nfbulk  = ', nfbulk, ' = nfice if ice model used'
-         IF(lwp) WRITE(numout,*) '           flag closed sea or not           nclosea = ', nclosea
-      ENDIF
-
       ! Default values
       n_cla = 0
Index: trunk/NEMO/OPA_SRC/DOM/domvvl.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DOM/domvvl.F90	(revision 873)
+++ trunk/NEMO/OPA_SRC/DOM/domvvl.F90	(revision 888)
@@ -18,10 +18,10 @@
    USE oce             ! ocean dynamics and tracers
    USE dom_oce         ! ocean space and time domain
+   USE sbc_oce         ! surface boundary condition: ocean
+   USE dynspg_oce      ! surface pressure gradient variables
+   USE phycst          ! physical constants
    USE in_out_manager  ! I/O manager
    USE lib_mpp         ! distributed memory computing library
    USE lbclnk          ! ocean lateral boundary conditions (or mpp link)
-   USE dynspg_oce      ! surface pressure gradient variables
-   USE ocesbc          ! ocean surface boundary condition
-   USE phycst          ! physical constants
 
    IMPLICIT NONE
@@ -47,5 +47,5 @@
    !!----------------------------------------------------------------------
    !!   OPA 9.0 , LOCEAN-IPSL (2005) 
-   !! $Header$ 
+   !! $Id$
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: trunk/NEMO/OPA_SRC/DYN/dynspg_exp.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DYN/dynspg_exp.F90	(revision 873)
+++ trunk/NEMO/OPA_SRC/DYN/dynspg_exp.F90	(revision 888)
@@ -16,10 +16,10 @@
    USE oce             ! ocean dynamics and tracers 
    USE dom_oce         ! ocean space and time domain 
-   USE in_out_manager  ! I/O manager
+   USE sbc_oce         ! surface boundary condition: ocean
+   USE obc_oce         ! Lateral open boundary condition
    USE phycst          ! physical constants
-   USE ocesbc          ! ocean surface boundary condition
-   USE obc_oce         ! Lateral open boundary condition
    USE obc_par         ! open boundary condition parameters
    USE obcdta          ! open boundary condition data     (obc_dta_bt routine)
+   USE in_out_manager  ! I/O manager
    USE lib_mpp         ! distributed memory computing library
    USE lbclnk          ! ocean lateral boundary conditions (or mpp link)
@@ -40,5 +40,5 @@
    !!----------------------------------------------------------------------
    !!  OPA 9.0 , LOCEAN-IPSL (2005) 
-   !! $Header: /home/opalod/NEMOCVSROOT/NEMO/OPA_SRC/DYN/dynspg_exp.F90,v 1.9 2007/06/05 10:38:27 opalod Exp $ 
+   !! $Id$
    !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
Index: trunk/NEMO/OPA_SRC/DYN/dynspg_flt.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DYN/dynspg_flt.F90	(revision 873)
+++ trunk/NEMO/OPA_SRC/DYN/dynspg_flt.F90	(revision 888)
@@ -25,25 +25,24 @@
    USE dom_oce         ! ocean space and time domain 
    USE zdf_oce         ! ocean vertical physics
+   USE sbc_oce         ! surface boundary condition: ocean
+   USE obc_oce         ! Lateral open boundary condition
+   USE sol_oce         ! ocean elliptic solver
    USE phycst          ! physical constants
-   USE ocesbc          ! ocean surface boundary condition
-   USE flxrnf          ! ocean runoffs
-   USE sol_oce         ! ocean elliptic solver
+   USE domvvl          ! variable volume
    USE solver          ! solver initialization
    USE solpcg          ! preconditionned conjugate gradient solver
    USE solsor          ! Successive Over-relaxation solver
    USE solfet          ! FETI solver
-   USE obc_oce         ! Lateral open boundary condition
    USE obcdyn          ! ocean open boundary condition (obc_dyn routines)
    USE obcvol          ! ocean open boundary condition (obc_vol routines)
+   USE cla_dynspg      ! cross land advection
+   USE in_out_manager  ! I/O manager
    USE lib_mpp         ! distributed memory computing library
    USE lbclnk          ! ocean lateral boundary conditions (or mpp link)
-   USE cla_dynspg      ! cross land advection
    USE prtctl          ! Print control
    USE solmat          ! matrix construction for elliptic solvers
    USE agrif_opa_interp
-   USE in_out_manager  ! I/O manager
    USE iom
    USE restart         ! only for lrst_oce
-   USE domvvl          ! variable volume
 
    IMPLICIT NONE
@@ -58,5 +57,5 @@
    !!----------------------------------------------------------------------
    !!   OPA 9.0 , LOCEAN-IPSL (2005) 
-   !! $Header: /home/opalod/NEMOCVSROOT/NEMO/OPA_SRC/DYN/dynspg_flt.F90,v 1.14 2007/06/05 10:38:27 opalod Exp $ 
+   !! $Id$
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt) 
    !!----------------------------------------------------------------------
Index: trunk/NEMO/OPA_SRC/DYN/dynspg_ts.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DYN/dynspg_ts.F90	(revision 873)
+++ trunk/NEMO/OPA_SRC/DYN/dynspg_ts.F90	(revision 888)
@@ -21,6 +21,8 @@
    USE oce             ! ocean dynamics and tracers
    USE dom_oce         ! ocean space and time domain
+   USE sbc_oce         ! surface boundary condition: ocean
+   USE dynspg_oce      ! surface pressure gradient variables
    USE phycst          ! physical constants
-   USE ocesbc          ! ocean surface boundary condition
+   USE domvvl          ! variable volume
    USE obcdta          ! open boundary condition data     
    USE obcfla          ! Flather open boundary condition  
@@ -31,9 +33,7 @@
    USE lbclnk          ! ocean lateral boundary conditions (or mpp link)
    USE prtctl          ! Print control
-   USE dynspg_oce      ! surface pressure gradient variables
    USE in_out_manager  ! I/O manager
    USE iom
    USE restart         ! only for lrst_oce
-   USE domvvl          ! variable volume
 
    IMPLICIT NONE
@@ -52,5 +52,5 @@
    !!----------------------------------------------------------------------
    !!  OPA 9.0 , LOCEAN-IPSL (2005) 
-   !! $Header: /home/opalod/NEMOCVSROOT/NEMO/OPA_SRC/DYN/dynspg_ts.F90,v 1.16 2007/06/05 10:38:27 opalod Exp $ 
+   !! $Id$
    !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
Index: trunk/NEMO/OPA_SRC/DYN/dynzad.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DYN/dynzad.F90	(revision 873)
+++ trunk/NEMO/OPA_SRC/DYN/dynzad.F90	(revision 888)
@@ -16,8 +16,8 @@
    USE oce            ! ocean dynamics and tracers
    USE dom_oce        ! ocean space and time domain
+   USE sbc_oce        ! surface boundary condition: ocean
+   USE trdmod_oce     ! ocean variables trends
+   USE trdmod         ! ocean dynamics trends 
    USE in_out_manager ! I/O manager
-   USE trdmod         ! ocean dynamics trends 
-   USE trdmod_oce     ! ocean variables trends
-   USE flxrnf         ! ocean runoffs
    USE prtctl         ! Print control
 
@@ -32,5 +32,5 @@
    !!----------------------------------------------------------------------
    !!   OPA 9.0 , LOCEAN-IPSL (2005) 
-   !! $Header$ 
+   !! $Id$
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: trunk/NEMO/OPA_SRC/DYN/dynzdf_exp.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DYN/dynzdf_exp.F90	(revision 873)
+++ trunk/NEMO/OPA_SRC/DYN/dynzdf_exp.F90	(revision 888)
@@ -18,6 +18,6 @@
    USE phycst          ! physical constants
    USE zdf_oce         ! ocean vertical physics
+   USE sbc_oce         ! surface boundary condition: ocean
    USE in_out_manager  ! I/O manager
-   USE taumod          ! surface ocean stress
 
    IMPLICIT NONE
@@ -32,5 +32,5 @@
    !!----------------------------------------------------------------------
    !!   OPA 9.0 , LOCEAN-IPSL (2005) 
-   !! $Header$ 
+   !! $Id$
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
@@ -81,6 +81,6 @@
          ! Surface boundary condition
          DO ji = 2, jpim1
-            zwy(ji,1) = taux(ji,jj) * zrau0r
-            zww(ji,1) = tauy(ji,jj) * zrau0r
+            zwy(ji,1) = utau(ji,jj) * zrau0r
+            zww(ji,1) = vtau(ji,jj) * zrau0r
          END DO  
 
Index: trunk/NEMO/OPA_SRC/DYN/dynzdf_imp.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DYN/dynzdf_imp.F90	(revision 873)
+++ trunk/NEMO/OPA_SRC/DYN/dynzdf_imp.F90	(revision 888)
@@ -14,5 +14,5 @@
    !!----------------------------------------------------------------------
    !!   OPA 9.0 , LOCEAN-IPSL (2005) 
-   !! $Header$ 
+   !! $Id$
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
@@ -20,8 +20,8 @@
    USE oce             ! ocean dynamics and tracers
    USE dom_oce         ! ocean space and time domain
+   USE sbc_oce         ! surface boundary condition: ocean
+   USE zdf_oce         ! ocean vertical physics
    USE phycst          ! physical constants
-   USE zdf_oce         ! ocean vertical physics
    USE in_out_manager  ! I/O manager
-   USE taumod          ! surface ocean stress
 
    IMPLICIT NONE
@@ -36,5 +36,5 @@
    !!----------------------------------------------------------------------
    !!   OPA 9.0 , LOCEAN-IPSL (2005) 
-   !! $Header$ 
+   !! $Id$
    !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
@@ -141,8 +141,8 @@
 !!! change les resultats (derniers digit, pas significativement + rapide 1* de moins)
 !!!         ua(ji,jj,1) = ub(ji,jj,1)  &
-!!!                      + p2dt * ( ua(ji,jj,1) + taux(ji,jj) / ( fse3u(ji,jj,1)*rau0 ) )
+!!!                      + p2dt * ( ua(ji,jj,1) + utau(ji,jj) / ( fse3u(ji,jj,1)*rau0 ) )
             z2dtf = p2dt / ( fse3u(ji,jj,1)*rau0 )
             ua(ji,jj,1) = ub(ji,jj,1)  &
-                         + p2dt *  ua(ji,jj,1) + z2dtf * taux(ji,jj)
+                         + p2dt *  ua(ji,jj,1) + z2dtf * utau(ji,jj)
          END DO
       END DO
@@ -236,8 +236,8 @@
 !!! change les resultats (derniers digit, pas significativement + rapide 1* de moins)
 !!!         va(ji,jj,1) = vb(ji,jj,1)  &
-!!!                      + p2dt * ( va(ji,jj,1) + tauy(ji,jj) / ( fse3v(ji,jj,1)*rau0 ) )
+!!!                      + p2dt * ( va(ji,jj,1) + vtau(ji,jj) / ( fse3v(ji,jj,1)*rau0 ) )
             z2dtf = p2dt / ( fse3v(ji,jj,1)*rau0 )
             va(ji,jj,1) = vb(ji,jj,1)  &
-                         + p2dt * va(ji,jj,1) + z2dtf * tauy(ji,jj)
+                         + p2dt * va(ji,jj,1) + z2dtf * vtau(ji,jj)
          END DO
       END DO
Index: trunk/NEMO/OPA_SRC/DYN/wzvmod.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DYN/wzvmod.F90	(revision 873)
+++ trunk/NEMO/OPA_SRC/DYN/wzvmod.F90	(revision 888)
@@ -13,10 +13,9 @@
    USE oce             ! ocean dynamics and tracers variables
    USE dom_oce         ! ocean space and time domain variables 
+   USE sbc_oce         ! surface boundary condition: ocean
+   USE domvvl          ! Variable volume
    USE in_out_manager  ! I/O manager
    USE prtctl          ! Print control
-
-   USE domvvl          ! Variable volume
    USE phycst
-   USE ocesbc          ! ocean surface boundary condition
    USE lbclnk          ! ocean lateral boundary condition (or mpp link)
 
@@ -31,5 +30,5 @@
    !!----------------------------------------------------------------------
    !!  OPA 9.0 , LOCEAN-IPSL (2005) 
-   !! $Header$ 
+   !! $Id$
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
